Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
ERRORS: emerge --sync, emerge-webrsync, emerge portage
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC
View previous topic :: View next topic  
Author Message
psihodelia
n00b
n00b


Joined: 27 Dec 2006
Posts: 15

PostPosted: Tue May 22, 2007 10:41 am    Post subject: ERRORS: emerge --sync, emerge-webrsync, emerge portage Reply with quote

Hello guys,

I have iBook G4 with Gentoo.

I am trying to update my system which was early only emerge --sync'ed periodically but soft was not updated very often.
Now attempting to update anything I see that everything is blocked.

I'm trying to emerge --sync and update portage at first, but unsuccessfull. emerge --sync and emerge-webrsync drop on error:

Code:

>>> Updating Portage cache:      Traceback (most recent call last):
  File "/usr/bin/emerge", line 4049, in ?
    emerge_main()
  File "/usr/bin/emerge", line 4006, in emerge_main
    action_sync(settings, trees, mtimedb, myopts, myaction)
  File "/usr/bin/emerge", line 2924, in action_sync
    action_metadata(settings, portdb, myopts)
  File "/usr/bin/emerge", line 3019, in action_metadata
    eclass_cache=ec, verbose_instance=noise_maker)
  File "/usr/lib/portage/pym/cache/util.py", line 47, in mirror_cache
    if trg and not write_it:
  File "/usr/lib/python2.4/UserDict.py", line 170, in __len__
    return len(self.keys())
  File "/usr/lib/portage/pym/cache/mappings.py", line 54, in keys
    return list(self.__iter__())
  File "/usr/lib/portage/pym/cache/mappings.py", line 48, in __iter__
    for k in self.orig.iterkeys():
  File "/usr/lib/python2.4/UserDict.py", line 103, in iterkeys
    return self.__iter__()
  File "/usr/lib/portage/pym/cache/mappings.py", line 83, in __iter__
    return iter(self.keys())
  File "/usr/lib/portage/pym/cache/mappings.py", line 87, in keys
    self.d.update(self.pull())
  File "/usr/lib/portage/pym/cache/flat_hash.py", line 29, in callit
    return args[0](*args[1:]+args2)
  File "/usr/lib/portage/pym/cache/flat_hash.py", line 47, in _pull
    raise cache_errors.CacheCorruption(cpv, e)
cache.cache_errors.CacheCorruption: app-accessibility/sphinx2-0.6 is corrupt: dictionary update sequence element #0 has length 1; 2 is required


emerge portage shows an error:

Code:

 * checking ebuild checksums ;-) ...                                                                                                                              [ !! ]
!!! Digest verification failed:
!!! /usr/portage/sys-apps/coreutils/coreutils-6.7-r1.ebuild
!!! Reason: Failed on MD5 verification
!!! Got: 3a6da8380c58351e335c506beee67a80
!!! Expected: 201d3cd4f8a903edee3cd84b977f477c


What I have to do exactly in order to bring my gentoo system to work?
Back to top
View user's profile Send private message
JoseJX
Retired Dev
Retired Dev


Joined: 28 Apr 2002
Posts: 2774

PostPosted: Tue May 22, 2007 3:01 pm    Post subject: Reply with quote

It looks like your portage tree might be corrupt. Try getting a snapshot from:
http://gentoo.osuosl.org/snapshots/portage-latest.tar.bz2

Delete /usr/portage/* (you can save /usr/portage/distfiles if you don't want to re-download the source for everything), then unpack the snapshot into /usr/portage. Hopefully this will fix things. If not, let us know!
_________________
Gentoo PPC FAQ: http://www.gentoo.org/doc/en/gentoo-ppc-faq.xml
Back to top
View user's profile Send private message
psihodelia
n00b
n00b


Joined: 27 Dec 2006
Posts: 15

PostPosted: Tue May 22, 2007 6:45 pm    Post subject: Reply with quote

JoseJX wrote:
It looks like your portage tree might be corrupt. Try getting a snapshot from:
http://gentoo.osuosl.org/snapshots/portage-latest.tar.bz2

Delete /usr/portage/* (you can save /usr/portage/distfiles if you don't want to re-download the source for everything), then unpack the snapshot into /usr/portage. Hopefully this will fix things. If not, let us know!


Thank you very much ! I am now being able to update portage. But I have still some strange errors and I cannot update and install any new software:
Code:

ibook ~ # emerge -pv mozilla-firefox

These are the packages that would be merged, in order:

Calculating dependencies 
Parse Error reading PROVIDE and USE in '/var/db/pkg/x11-base/xorg-x11-6.8.2-r6'
Possibly Invalid: 'virtual/x11 opengl? virtual/opengl opengl? virtual/glu virtual/xft'
Exception: Conditional without parenthesis: 'opengl?'

... done!
[ebuild     U ] sys-apps/man-1.6e-r3 [1.6-r1] USE="nls" 247 kB
[ebuild     U ] sys-devel/binutils-2.17 [2.16.1] USE="nls -multislot -multitarget -test -vanilla%" 13,485 kB
[ebuild     U ] dev-libs/nspr-4.6.5-r1 [4.6.1-r2] USE="-debug% -ipv6" 1,255 kB
[ebuild  N    ] x11-misc/util-macros-1.1.0  USE="-debug" 43 kB
[ebuild     U ] dev-libs/nss-3.11.5 [3.9.2-r2] 3,611 kB
[ebuild  N    ] x11-proto/xproto-7.0.7  USE="-debug" 131 kB
[ebuild  N    ] x11-libs/xtrans-1.0.1  USE="-debug" 90 kB
[ebuild  N    ] x11-proto/kbproto-1.0.3  USE="-debug" 57 kB
[ebuild  N    ] x11-proto/xextproto-7.0.2  USE="-debug" 67 kB
[ebuild  N    ] x11-proto/xf86bigfontproto-1.1.2  USE="-debug" 37 kB
[ebuild  N    ] x11-proto/inputproto-1.4  USE="-debug" 48 kB
[ebuild  N    ] x11-proto/bigreqsproto-1.0.2  USE="-debug" 36 kB
[ebuild  N    ] x11-proto/xcmiscproto-1.1.2  USE="-debug" 36 kB
[ebuild  N    ] x11-proto/renderproto-0.9.2  USE="-debug" 40 kB
[ebuild  N    ] x11-libs/libXau-1.0.2  USE="-debug" 215 kB
[ebuild  N    ] x11-libs/libXdmcp-1.0.1  USE="-debug" 227 kB
[ebuild  N    ] x11-libs/libICE-1.0.1  USE="-debug -ipv6" 249 kB
[ebuild  N    ] x11-libs/libX11-1.1.1-r1  USE="-debug -ipv6 -xcb" 1,393 kB
[ebuild  N    ] x11-libs/libSM-1.0.2  USE="-debug -ipv6" 239 kB
[ebuild  N    ] x11-libs/libXt-1.0.2  USE="-debug" 506 kB
[ebuild  N    ] x11-libs/libXrender-0.9.1  USE="-debug" 235 kB
[ebuild  N    ] x11-libs/libXext-1.0.1  USE="-debug" 255 kB
[ebuild  N    ] x11-libs/libXmu-1.0.2  USE="-debug -ipv6" 267 kB
[ebuild     U ] www-client/mozilla-firefox-2.0.0.3 [1.0.7-r4] USE="gnome -bindist% -debug -filepicker% -ipv6 -java -mozdevelop -moznopango% -restrict-javascript% -xforms% -xinerama -xprint (-mozcalendar%) (-moznoxft%) (-mozsvg%) (-truetype%*)" LINGUAS="-af% -ar% -be% -bg% -ca% -cs% -da% -de% -el% -en_GB% -es% -es_AR% -es_ES% -eu% -fi% -fr% -fy% -fy_NL% -ga% -ga_IE% -gu% -gu_IN% -he% -hu% -it% -ja% -ka% -ko% -ku% -lt% -mk% -mn% -nb% -nb_NO% -nl% -nn% -nn_NO% -pa% -pa_IN% -pl% -pt% -pt_BR% -pt_PT% -ru% -sk% -sl% -sv% -sv_SE% -tr% -zh% -zh_CN% -zh_TW%" 36,296 kB
[blocks B     ] <=x11-base/xorg-x11-6.9 (is blocking x11-proto/xf86bigfontproto-1.1.2, x11-proto/xextproto-7.0.2, x11-libs/libXext-1.0.1, x11-proto/xcmiscproto-1.1.2, x11-misc/util-macros-1.1.0, x11-libs/xtrans-1.0.1, x11-libs/libXrender-0.9.1, x11-libs/libSM-1.0.2, x11-libs/libXau-1.0.2, x11-libs/libXmu-1.0.2, x11-proto/kbproto-1.0.3, x11-proto/inputproto-1.4, x11-proto/renderproto-0.9.2, x11-libs/libXdmcp-1.0.1, x11-libs/libICE-1.0.1, x11-libs/libXt-1.0.2, x11-proto/xproto-7.0.7, x11-proto/bigreqsproto-1.0.2, x11-libs/libX11-1.1.1-r1)

Total: 24 packages (5 upgrades, 19 new, 1 block), Size of downloads: 59,054 kB
ibook ~ #



I will be very appreciated if you can help me.
Back to top
View user's profile Send private message
JoseJX
Retired Dev
Retired Dev


Joined: 28 Apr 2002
Posts: 2774

PostPosted: Tue May 22, 2007 7:01 pm    Post subject: Reply with quote

The "error" is due to you still having very old (and somewhat syntactically buggy) versions of xorg on your machine. Try updating that first, but you will end up having to remove it and reinstall it, see the modular X guide for details: http://www.gentoo.org/proj/en/desktop/x/x11/modular-x-howto.xml
_________________
Gentoo PPC FAQ: http://www.gentoo.org/doc/en/gentoo-ppc-faq.xml
Back to top
View user's profile Send private message
psihodelia
n00b
n00b


Joined: 27 Dec 2006
Posts: 15

PostPosted: Wed May 23, 2007 1:21 pm    Post subject: Reply with quote

JoseJX wrote:
The "error" is due to you still having very old (and somewhat syntactically buggy) versions of xorg on your machine. Try updating that first, but you will end up having to remove it and reinstall it, see the modular X guide for details: http://www.gentoo.org/proj/en/desktop/x/x11/modular-x-howto.xml


Thank you,
I have updated X11. It was taken about 16 hours and some hours for firefox to update.
I've got some minor problems and for now I am not sure that all is stable, because xterm had crashed one time that I never seen before with old X11.
Back to top
View user's profile Send private message
JoseJX
Retired Dev
Retired Dev


Joined: 28 Apr 2002
Posts: 2774

PostPosted: Fri May 25, 2007 2:12 am    Post subject: Reply with quote

Did you make sure to update everything on the machine? Did you run revdep-rebuild to ensure that everything is linked properly? How did XTerm lock up? What were you doing?
_________________
Gentoo PPC FAQ: http://www.gentoo.org/doc/en/gentoo-ppc-faq.xml
Back to top
View user's profile Send private message
psihodelia
n00b
n00b


Joined: 27 Dec 2006
Posts: 15

PostPosted: Sun Jun 10, 2007 3:20 pm    Post subject: Reply with quote

I have updated my kernel:

ibook books # cat /proc/version
Linux version 2.6.20-gentoo-r5 (root@ibook) (gcc version 3.4.4 (Gentoo 3.4.4-r1, ssp-3.4.4-1.0, pie-8.7.8)) #4 Tue May 29 13:21:59 CEST 2007

but pbbuttonsd doesnt work, I cannot adjust LCD brightness level, cannot see Battery level. maybe I forgot smth. in kernel. No sleep as well.

Firstly I couldnt set Airport Extreme, it is better to describe absolutely all required kernel options, because it is a headache to find what kernel options to enable in order all things work.(I did follow instructions, but there are much more required kernel options to set Airport Extreme)

Any idea what I have to set up?

Thanks in advance
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum